## octave-java 1.2.8

=== DESCRIPTION ===
Name: Java
Version: 1.2.8
Date: 2011-06-08
Author: Michael Goffioul <michael.goffioul@gmail.com>
Maintainer: Michael Goffioul <michael.goffioul@gmail.com>
Title: Java Interface
Description: Provides Java interface with OO-like Java objects manipulation
Categories: Java
Depends: octave (>= 3.2.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
sinclude ./Makeconf
export LFLAGS

IMPORT_LIBS = __java__.lib
PROGS = __java__.oct __java__.h octave.jar


JAVASRC = ClassHelper.java OctClassLoader.java Octave.java OctaveReference.java Matrix.java \
          JDialogBox.java DlgListener.java TeXtranslator.java TeXcode.java
JAVADIR = org/octave
RSCDIR  = org/octave/images
IMAGES  = question.png error.png warning.png information.png octave.png

JAVA_SOURCES = $(addprefix $(JAVADIR)/, $(JAVASRC))
JAVA_CLASSES = $(patsubst %.java, %.class, $(JAVA_SOURCES))
JAVA_RSC     = $(addprefix $(RSCDIR)/, $(IMAGES))

ifeq ($(HAVE_JAVA),yes)
all: $(PROGS)
	@if test -f" FILES"; then \
	  rm -f FILES; \
	fi; \
	touch FILES; \
	for _f in $(PROGS); do \
	  echo $$_f >> FILES; \
	done; \
	for _f in $(IMPORT_LIBS); do \
	  if [ -e $$_f ]; then \
	    echo $$_f >> FILES; \
	  fi; \
	done
else
all:
	@echo "Java support not compiled"
endif

__java__.oct: __java__.cc __java__.h
	if [ "X$(JAVA_ARCH)X" = "XX" ]; then \
		$(MKOCTFILE) -DJAVAPKG_BUILD $(JAVA_INCS) -o $@ __java__.cc $(JAVA_LIBS); \
	else \
		$(MKOCTFILE) -DJAVAPKG_BUILD -DJAVA_ARCH=\\\"$(JAVA_ARCH)\\\" -DJAVA_HOME=\\\"$(JAVA_HOME)\\\" $(JAVA_INCS) -o $@ __java__.cc $(JAVA_LIBS); \
	fi

octave.jar: $(JAVA_CLASSES)
	-rm -f $@
	$(JAR) cf $@ $(JAVA_CLASSES) $(JAVA_RSC)

$(JAVA_CLASSES): $(JAVA_SOURCES)
	$(JAVAC) -source 1.3 -target 1.3 $(JAVA_SOURCES)

clean:
	-rm *.o core octave-core *.oct *~
	-rm octave.jar $(JAVA_CLASSES) FILES

distclean realclean : clean
	-rm -r configure config.status config.log autom4te.cache Makeconf

=== debian/changelog ===
octave-java (1.2.8-6) unstable; urgency=low

  * Set and use JAVA_ARCH correctly on all platforms.
    New patch: enable_preset_java_arch_value (Closes: #681355)
  * Re-enable test suite.
    The fix for #681355 should fix the bug with the test suite as well.
    (Closes: #664776)

 -- Thomas Weber <tweber@debian.org>  Sun, 22 Jul 2012 23:19:39 +0200

octave-java (1.2.8-5) unstable; urgency=low

  * restore-locale.patch: new patch, restores locale after initializing the JVM
    (Closes: #676800)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 08 Jul 2012 12:35:10 +0000

octave-java (1.2.8-4) unstable; urgency=low

  * Depend on OpenJDK 7

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 01 Jun 2012 16:23:01 +0000

octave-java (1.2.8-3) unstable; urgency=low

  * Comment out check.m for the time being as a workaround for buildd failures

 -- Thomas Weber <tweber@debian.org>  Tue, 20 Mar 2012 20:26:36 +0100

octave-java (1.2.8-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Set DM-Upload-Allowed flag to Yes
  * Bump to debhelper compat level 9
  * debian/copyright: upgrade to machine-readable format 1.0
  * Bump to Standards-Version 3.9.3, no changes needed
  * Build-depend on octave-pkg-dev >= 1.0.1, to compile against Octave 3.6
  * Include HTML and PDF documentation in the package
  * Add a testsuite using some examples from the package manual

 -- Thomas Weber <tweber@debian.org>  Thu, 15 Mar 2012 22:57:56 +0100

octave-java (1.2.8-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Initial release, based on work by Ólafur Jens Sigurðsson and Rafael
    Laboissiere (Closes: #468540)

 -- Thomas Weber <tweber@debian.org>  Fri, 16 Sep 2011 16:49:42 +0200

=== debian/control ===
Source: octave-java
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>,
           Thomas Weber <tweber@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
 openjdk-7-jdk, javahelper
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://octave.sourceforge.net/java
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-java.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-java.git

Package: octave-java
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends},
 openjdk-7-jre-headless
Description: Java objects manipulation interface for Octave
 This package provides Java interface with OO-like Java objects manipulation to
 Octave, a numerical computational software. It has functions for creating Java
 objects from Octave, setting/getting its values and applying Java methods to
 them from Octave scripts.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export JAVA_HOME = /usr/lib/jvm/java-7-openjdk-$(DEB_HOST_ARCH)

include /usr/share/cdbs/1/class/octave-pkg.mk

# take value for JAVA_ARCH from javahelper and export it
include /usr/share/javahelper/java-vars.mk
export JAVA_ARCH

# Hack to workaround wrong permissions in upstream tarball
binary-fixup/octave-java::
	find debian/octave-java/usr/share/octave/packages/ -type f -exec chmod -x '{}' ';'

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/java-([\d.]+)\.tar\.gz\?download

## octave-java 1.2.9

=== debian/changelog ===
octave-java (1.2.9-2) unstable; urgency=low

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 May 2013 18:19:32 +0200

octave-java (1.2.9-1) experimental; urgency=low

  * Imported Upstream version 1.2.9
  * debian/copyright: reflect upstream changes
  * Remove patches applied upstream.
     + enable_preset_java_arch_value
     + restore-locale.patch
  * libjvm.patch: refresh patch
  * Bump Standards-Version to 3.9.4, no changes needed
  * Use my @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 17 Apr 2013 12:25:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>,
+Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Thomas Weber <tweber@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
  openjdk-7-jdk, javahelper
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/java
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-java.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-java.git
